com.digi.xbee.api

## Class RemoteZigBeeDevice

- java.lang.Object
- - com.digi.xbee.api.AbstractXBeeDevice
  - - com.digi.xbee.api.RemoteXBeeDevice
    - - com.digi.xbee.api.RemoteZigBeeDevice

-     public class RemoteZigBeeDevice
      extends RemoteXBeeDevice

  This class represents a remote ZigBee device.
  See Also:
    `RemoteXBeeDevice`, `RemoteDigiMeshDevice`, `RemoteDigiPointDevice`, `RemoteRaw802Device`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteZigBeeDevice(XBeeDevice localXBeeDevice, XBee64BitAddress addr64)` Class constructor.
    `RemoteZigBeeDevice(XBeeDevice localXBeeDevice, XBee64BitAddress addr64, XBee16BitAddress addr16, String ni)` Class constructor.
    `RemoteZigBeeDevice(ZigBeeDevice localXBeeDevice, XBee64BitAddress addr64)` Class constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `forceDisassociate()` Forces this XBee device to immediately disassociate from the network and re-attempt to associate.
    `AssociationIndicationStatus` | `getAssociationIndicationStatus()` Returns the current association status of this XBee device.
    `XBeeProtocol` | `getXBeeProtocol()` Returns the XBee Protocol of this XBee device.

    - ### Methods inherited from class com.digi.xbee.api.RemoteXBeeDevice

      `isRemote, reset, toString`

    - ### Methods inherited from class com.digi.xbee.api.AbstractXBeeDevice

      `applyChanges, enableApplyConfigurationChanges, executeParameter, get16BitAddress, get64BitAddress, getADCValue, getConnectionInterface, getDestinationAddress, getDIOChangeDetection, getDIOValue, getFirmwareVersion, getHardwareVersion, getIOConfiguration, getIOSamplingRate, getNodeID, getPANID, getParameter, getPowerLevel, getPWMDutyCycle, isApplyConfigurationChangesEnabled, readDeviceInfo, readIOSample, setDestinationAddress, setDIOChangeDetection, setDIOValue, setIOConfiguration, setIOSamplingRate, setNodeID, setPANID, setParameter, setPowerLevel, setPWMDutyCycle, updateDeviceDataFrom, writeChanges`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteZigBeeDevice

          public RemoteZigBeeDevice(XBeeDevice localXBeeDevice,
                            XBee64BitAddress addr64)

      Class constructor. Instantiates a new `RemoteZigBeeDevice` object with the given local `XBeeDevice` which contains the connection interface to be used.
      Parameters:
        `localXBeeDevice` - The local XBee device that will behave as connection interface to communicate with this remote ZigBee device.
        `addr64` - The 64-bit address to identify this remote ZigBee device.
      Throws:
        `IllegalArgumentException` - if `localXBeeDevice.isRemote() == true` or if `localXBeeDevice.getXBeeProtocol() != XBeeProtocol.ZIGBEE`.
        `NullPointerException` - if `localXBeeDevice == null` or if `addr64 == null`.
      See Also:
        `XBee64BitAddress`

    - #### RemoteZigBeeDevice

          public RemoteZigBeeDevice(XBeeDevice localXBeeDevice,
                            XBee64BitAddress addr64,
                            XBee16BitAddress addr16,
                            String ni)

      Class constructor. Instantiates a new `RemoteZigBeeDevice` object with the given local `XBeeDevice` which contains the connection interface to be used.
      Parameters:
        `localXBeeDevice` - The local XBee device that will behave as connection interface to communicate with this remote ZigBee device.
        `addr64` - The 64-bit address to identify this remote ZigBee device.
        `addr16` - The 16-bit address to identify this remote ZigBee device. It might be `null`.
        `ni` - The node identifier of this remote ZigBee device. It might be `null`.
      Throws:
        `IllegalArgumentException` - if `localXBeeDevice.isRemote() == true` or if `localXBeeDevice.getXBeeProtocol() != XBeeProtocol.ZIGBEE`.
        `NullPointerException` - if `localXBeeDevice == null` or if `addr64 == null`.
      See Also:
        `XBee16BitAddress`, `XBee64BitAddress`

    - #### RemoteZigBeeDevice

          public RemoteZigBeeDevice(ZigBeeDevice localXBeeDevice,
                            XBee64BitAddress addr64)

      Class constructor. Instantiates a new `RemoteZigBeeDevice` object with the given local `ZigBeeDevice` which contains the connection interface to be used.
      Parameters:
        `localXBeeDevice` - The local ZigBee device that will behave as connection interface to communicate with this remote ZigBee device.
        `addr64` - The 64-bit address to identify this remote ZigBee device.
      Throws:
        `IllegalArgumentException` - if `localXBeeDevice.isRemote() == true`.
        `NullPointerException` - if `localXBeeDevice == null` or if `addr64 == null`.
      See Also:
        `XBee64BitAddress`

  - ### Method Detail

    - #### forceDisassociate

          public void forceDisassociate()
                                 throws TimeoutException,
                                        XBeeException

      Description copied from class: `AbstractXBeeDevice`
      Forces this XBee device to immediately disassociate from the network and re-attempt to associate.

      Only valid for End Devices.

      Throws:
        `TimeoutException` - if there is a timeout executing the disassociation command.
        `XBeeException` - if there is any other XBee related exception.
      See Also:
        `AbstractXBeeDevice.getAssociationIndicationStatus()`

    - #### getAssociationIndicationStatus

          public AssociationIndicationStatus getAssociationIndicationStatus()
                                                                     throws TimeoutException,
                                                                            XBeeException

      Description copied from class: `AbstractXBeeDevice`
      Returns the current association status of this XBee device.

      It indicates occurrences of errors during the last association request.

      Returns:
        The association indication status of the XBee device.
      Throws:
        `TimeoutException` - if there is a timeout getting the association indication status.
        `XBeeException` - if there is any other XBee related exception.
      See Also:
        `AbstractXBeeDevice.forceDisassociate()`, `AssociationIndicationStatus`

    - #### getXBeeProtocol

          public XBeeProtocol getXBeeProtocol()

      Description copied from class: `AbstractXBeeDevice`
      Returns the XBee Protocol of this XBee device.

      To refresh this value use the `AbstractXBeeDevice.readDeviceInfo()` method.

      Overrides:
        `getXBeeProtocol` in class `AbstractXBeeDevice`
      Returns:
        The XBee device protocol.
      See Also:
        `XBeeProtocol`

© Copyright 2014–2014 Digi International Inc. All rights reserved.